Bug 1663035 - glibc: Backport gettext asprintf error handling fix
Summary: glibc: Backport gettext asprintf error handling fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2019-05-08
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: Arjun Shankar
QA Contact: qe-baseos-tools
Abhimanyu Jamaiyar
URL:
Whiteboard:
Depends On: 1682593
Blocks: 1684553 1701002
TreeView+ depends on / blocked
 
Reported: 2019-01-02 19:28 UTC by Florian Weimer
Modified: 2019-11-05 21:29 UTC (History)
10 users (show)

Fixed In Version: glibc-2.28-52.el8
Doc Type: Bug Fix
Doc Text:
.`gettext` returns untranslated text even when out of memory Previously, the `gettext()` function for text localization returned the NULL value instead of text when out of memory, resulting in applications lacking text output or labels. The bug has been fixed and now, `gettext()` - returns untranslated text when out of memory as expected.
Clone Of:
Environment:
Last Closed: 2019-11-05 21:29:04 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3513 None None None 2019-11-05 21:29:24 UTC
Sourceware 24018 P2 RESOLVED gettext() may return NULL 2020-03-17 19:25:13 UTC

Description Florian Weimer 2019-01-02 19:28:02 UTC
In Red Hat Enterprise Linux 8, gettext may erroneously return NULL on an internal memory allocation failure.  The expectation is that it returns an untranslated string instead.

Upstream fix:

commit 8c1aafc1f34d090a5b41dc527c33e8687f6a1287
Author: Florian Weimer <fweimer@redhat.com>
Date:   Fri Dec 21 16:08:55 2018 +0100

    intl: Do not return NULL on asprintf failure in gettext [BZ #24018]
    
    Fixes commit 9695dd0c9309712ed8e9c17a7040fe7af347f2dc ("DCIGETTEXT:
    Use getcwd, asprintf to construct absolute pathname").

Comment 8 Sergey Kolosov 2019-08-28 15:05:58 UTC
Verified by following instructions://bugzilla.redhat.com/show_bug.cgi?id=1663035#c3

Comment 12 Abhimanyu Jamaiyar 2019-09-26 12:15:27 UTC
Hi Arjun,

I have accepted your suggestion. Please review the Doc Text content.

Regards,
Abhimanyu Jamaiyar

Comment 15 errata-xmlrpc 2019-11-05 21:29:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3513


Note You need to log in before you can comment on or make changes to this bug.